SMP_REP_ZONE_MAN_PASS(8)

NAME
smp_rep_zone_man_pass - invoke REPORT ZONE MANAGER PASSWORD function

SYNOPSIS
smp_rep_zone_man_pass [--fpass=FP] [--help] [--hex] [--interface=PARAMS] [--phex] [--raw] [--report=RT] [--sa=SAS_ADDR] [--verbose] [--version] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) REPORT ZONE MANAGER PASSWORD function requests to an SMP target. The SMP target is identified by the SMP_DEVICE and the --sa=SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify a HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

OPTIONS
Mandatory arguments to long options are mandatory for short options as well.

-F, --fpass=FP
    where FP is the name of a file which the password will be written to. The default action (in the absence of this option) is to write the password to stdout.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal. To only see the password in hexadecimal use the --phex option.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-p, --phex
    Output the password in comma separated hexadecimal bytes. In the absence of this option the password is output in ASCII surrounded by single quotes. Note the hexadecimal bytes are output with a hex indication (i.e. there is nos leading "0x" nor trailing "h").

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-R, --report=RT
    set the 'report type' field in the SMP request. RT may take these values: 0 for report the current zone manager password (default); 1 is reserved; 2 for report the saved zone manager password; 3 for report the default zone manager password.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. The mpt interface needs this option and it will typically be an expander's SAS address. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times.

-V, --version
    print the version string and then exit.

CONFORMING TO
The SMP REPORT ZONE MANAGER PASSWORD function was introduced in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2011 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_conf_zone_man_pass, smp_zone_lock(smp_utils)